Subject: Re: passion [email-masked](Kevin Jones)

From: [email-masked] (StamperLSD)
Date: 7 Oct 1995 20:40:13 -0400

P.Incarnata grows RAPIDLY outside. It's the only species that is
recommeded for internal use since the others contain cyanide which messes
w/ your respatory enzymes(Ithink) But my problem is it is HUGE but has
only one fruit! Also the one indoors don't bloom real well the trick I
found is to let them get potbound, not overwater and lots of sun!
P."Jeanette" Blooms non stop in sun or shade and will fruit! P. Caeurlea
(m.s) blooms well indoors too. P."Incense" Grows to a huge plant then
blooms! But grows out doors well! S.

---

From: [email-masked] (StamperLSD)
Date: 7 Oct 1995 20:41:25 -0400

I don't think they overwinter so far north.  I usually put a lot of grass
or mulch after the 1st die down freeze